> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/projects/assemblies.md).

# Assemblies

## List assemblies for a flow.

> Returns a paginated list of the assemblies (document templates) configured against a flow.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PaginationList.AssemblyResponse":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.Assemblies.Contracts.Responses.AssemblyResponse"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Projects.Services.Features.Assemblies.Contracts.Responses.AssemblyResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PlaybookAssemblyType"},"extension":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64"},"contentType":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"dateModified":{"type":"string","format":"date-time"},"flowGroupObjectIdentifier":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PlaybookAssemblyType":{"enum":["docxFlowWide","docxPerDocument","markdownFlowWide","markdownFlowDocument"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies":{"get":{"tags":["Assemblies"],"summary":"List assemblies for a flow.","description":"Returns a paginated list of the assemblies (document templates) configured against a flow.","parameters":[{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"page","in":"query","schema":{"type":"integer","format":"int32","default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":20}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PaginationList.AssemblyResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaginationList.AssemblyResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaginationList.AssemblyResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Create an assembly.

> Creates a new assembly (document template) within a flow from an uploaded file and metadata.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Constants.PlaybookAssemblyType":{"enum":["docxFlowWide","docxPerDocument","markdownFlowWide","markdownFlowDocument"],"type":"string"},"Jylo.Projects.Services.Features.Assemblies.Contracts.Responses.AssemblyResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PlaybookAssemblyType"},"extension":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64"},"contentType":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"dateModified":{"type":"string","format":"date-time"},"flowGroupObjectIdentifier":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies":{"post":{"tags":["Assemblies"],"summary":"Create an assembly.","description":"Creates a new assembly (document template) within a flow from an uploaded file and metadata.","parameters":[{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["Name","Type"],"type":"object","properties":{"Name":{"type":"string"},"Description":{"type":"string"},"Type":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PlaybookAssemblyType"},"FlowGroupId":{"type":"string","format":"uuid"},"File":{"type":"string","format":"binary"}}},"encoding":{"Name":{"style":"form"},"Description":{"style":"form"},"Type":{"style":"form"},"FlowGroupId":{"style":"form"},"File":{"style":"form"}}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.Assemblies.Contracts.Responses.AssemblyResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.Assemblies.Contracts.Responses.AssemblyResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.Assemblies.Contracts.Responses.AssemblyResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Generate a document from an assembly.

> Queues generation of a populated document from an assembly template and returns the identifier used to track and download the result.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.Assembly.ExportAssemblyRequest":{"type":"object","properties":{"flowDocumentCollectionObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"flowDocumentCollectionObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"groupViewStates":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Assembly.ExportAssemblyGroupViewState"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Models.Flows.Assembly.ExportAssemblyGroupViewState":{"type":"object","properties":{"flowGroupObjectIdentifier":{"type":"string","format":"uuid"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Assembly.ExportAssemblyFilterItem"},"nullable":true},"logicOperator":{"type":"string","nullable":true},"searchText":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Models.Flows.Assembly.ExportAssemblyFilterItem":{"required":["operator"],"type":"object","properties":{"promptObjectIdentifier":{"type":"string","format":"uuid"},"operator":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.Assemblies.Application.Commands.ExportAssembly.ExportAssemblyResponse":{"type":"object","properties":{"downloadObjectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/generate":{"post":{"tags":["Assemblies"],"summary":"Generate a document from an assembly.","description":"Queues generation of a populated document from an assembly template and returns the identifier used to track and download the result.","parameters":[{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Assembly.ExportAssemblyRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Assembly.ExportAssemblyRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.Assembly.ExportAssemblyRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.Assemblies.Application.Commands.ExportAssembly.ExportAssemblyResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.Assemblies.Application.Commands.ExportAssembly.ExportAssemblyResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.Assemblies.Application.Commands.ExportAssembly.ExportAssemblyResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get an assembly by identifier.

> Returns the metadata of a single assembly (document template) by its identifier.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.Assemblies.Contracts.Responses.AssemblyResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PlaybookAssemblyType"},"extension":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64"},"contentType":{"type":"string","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"dateModified":{"type":"string","format":"date-time"},"flowGroupObjectIdentifier":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PlaybookAssemblyType":{"enum":["docxFlowWide","docxPerDocument","markdownFlowWide","markdownFlowDocument"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}":{"get":{"tags":["Assemblies"],"summary":"Get an assembly by identifier.","description":"Returns the metadata of a single assembly (document template) by its identifier.","parameters":[{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.Assemblies.Contracts.Responses.AssemblyResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.Assemblies.Contracts.Responses.AssemblyResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.Assemblies.Contracts.Responses.AssemblyResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Delete an assembly.

> Permanently deletes an assembly and its backing document from a flow.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}":{"delete":{"tags":["Assemblies"],"summary":"Delete an assembly.","description":"Permanently deletes an assembly and its backing document from a flow.","parameters":[{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Download an assembly's document.

> Returns the assembly's backing document as a file, optionally converted to PDF.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/content":{"get":{"tags":["Assemblies"],"summary":"Download an assembly's document.","description":"Returns the assembly's backing document as a file, optionally converted to PDF.","parameters":[{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"usePdf","in":"query","schema":{"type":"boolean","default":false}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string","format":"binary"}},"application/json":{"schema":{"type":"string","format":"binary"}},"text/json":{"schema":{"type":"string","format":"binary"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Replace an assembly's document.

> Overwrites the assembly's backing document with the uploaded file.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/content":{"put":{"tags":["Assemblies"],"summary":"Replace an assembly's document.","description":"Overwrites the assembly's backing document with the uploaded file.","parameters":[{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}},"encoding":{"file":{"style":"form"}}}}},"responses":{"200":{"description":"OK"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get a signed download URL.

> Returns a short-lived, signed URL for opening or downloading the assembly's document directly.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/download-url":{"get":{"tags":["Assemblies"],"summary":"Get a signed download URL.","description":"Returns a short-lived, signed URL for opening or downloading the assembly's document directly.","parameters":[{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## List references for an assembly.

> Returns a paginated list of the references configured for a flow assembly.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PaginationList.AssemblyReferenceResponse":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"flowAssemblyObjectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.AssemblyReferenceType"},"multiDocumentListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.MultiDocumentListFormat"},"singleDocumentReferenceFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentReferenceFormat"},"singleDocumentAnswerListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentAnswerListFormat"},"playbookAssemblyReferenceIdentifier":{"type":"string","format":"uuid"},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"templateColumns":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"},"nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"},"nullable":true},"prompts":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferencePromptResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.AssemblyReferenceType":{"enum":["flowWide","document"],"type":"string"},"Jylo.Toolkit.Constants.MultiDocumentListFormat":{"enum":["paragraph","bulletList","numberedList","table"],"type":"string"},"Jylo.Toolkit.Constants.SingleDocumentReferenceFormat":{"enum":["quote","answer","documentName"],"type":"string"},"Jylo.Toolkit.Constants.SingleDocumentAnswerListFormat":{"enum":["bullet","numbered","text"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"},"categoryConditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.Projects.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceConditionObjectIdentifier":{"type":"string","format":"uuid"},"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferencePromptResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"flowGroupObjectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references":{"get":{"tags":["Assemblies"],"summary":"List references for an assembly.","description":"Returns a paginated list of the references configured for a flow assembly.","parameters":[{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"page","in":"query","schema":{"type":"integer","format":"int32","default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":20}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PaginationList.AssemblyReferenceResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaginationList.AssemblyReferenceResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaginationList.AssemblyReferenceResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Create an assembly reference.

> Adds a new reference to a flow assembly, linking it to a source and defining how that source is formatted.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Requests.CreateAssemblyReferenceRequest":{"type":"object","properties":{"flowPromptObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"assemblyReferenceType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.AssemblyReferenceType"},"multiDocumentListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.MultiDocumentListFormat"},"singleDocumentReferenceFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentReferenceFormat"},"singleDocumentAnswerListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentAnswerListFormat"},"playbookAssemblyReferenceIdentifier":{"type":"string","format":"uuid"},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"templateColumns":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Requests.CreateAssemblyReferenceTemplateColumnRequest"},"nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceConditions.Contracts.Requests.CreateAssemblyReferenceConditionRequest"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.AssemblyReferenceType":{"enum":["flowWide","document"],"type":"string"},"Jylo.Toolkit.Constants.MultiDocumentListFormat":{"enum":["paragraph","bulletList","numberedList","table"],"type":"string"},"Jylo.Toolkit.Constants.SingleDocumentReferenceFormat":{"enum":["quote","answer","documentName"],"type":"string"},"Jylo.Toolkit.Constants.SingleDocumentAnswerListFormat":{"enum":["bullet","numbered","text"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Requests.CreateAssemblyReferenceTemplateColumnRequest":{"required":["name","template"],"type":"object","properties":{"name":{"type":"string","nullable":true},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceConditions.Contracts.Requests.CreateAssemblyReferenceConditionRequest":{"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"},"categoryConditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Requests.CreateAssemblyReferenceCategoryConditionRequest"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.Projects.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Requests.CreateAssemblyReferenceCategoryConditionRequest":{"required":["text"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"flowAssemblyObjectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.AssemblyReferenceType"},"multiDocumentListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.MultiDocumentListFormat"},"singleDocumentReferenceFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentReferenceFormat"},"singleDocumentAnswerListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentAnswerListFormat"},"playbookAssemblyReferenceIdentifier":{"type":"string","format":"uuid"},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"templateColumns":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"},"nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"},"nullable":true},"prompts":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferencePromptResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"},"categoryConditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceConditionObjectIdentifier":{"type":"string","format":"uuid"},"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferencePromptResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"flowGroupObjectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references":{"post":{"tags":["Assemblies"],"summary":"Create an assembly reference.","description":"Adds a new reference to a flow assembly, linking it to a source and defining how that source is formatted.","parameters":[{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Requests.CreateAssemblyReferenceRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Requests.CreateAssemblyReferenceRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Requests.CreateAssemblyReferenceRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get an assembly reference.

> Retrieves a single assembly reference by its identifier.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"flowAssemblyObjectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.AssemblyReferenceType"},"multiDocumentListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.MultiDocumentListFormat"},"singleDocumentReferenceFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentReferenceFormat"},"singleDocumentAnswerListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentAnswerListFormat"},"playbookAssemblyReferenceIdentifier":{"type":"string","format":"uuid"},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"templateColumns":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"},"nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"},"nullable":true},"prompts":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferencePromptResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.AssemblyReferenceType":{"enum":["flowWide","document"],"type":"string"},"Jylo.Toolkit.Constants.MultiDocumentListFormat":{"enum":["paragraph","bulletList","numberedList","table"],"type":"string"},"Jylo.Toolkit.Constants.SingleDocumentReferenceFormat":{"enum":["quote","answer","documentName"],"type":"string"},"Jylo.Toolkit.Constants.SingleDocumentAnswerListFormat":{"enum":["bullet","numbered","text"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"},"categoryConditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.Projects.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceConditionObjectIdentifier":{"type":"string","format":"uuid"},"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferencePromptResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"flowGroupObjectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{objectIdentifier}":{"get":{"tags":["Assemblies"],"summary":"Get an assembly reference.","description":"Retrieves a single assembly reference by its identifier.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Update an assembly reference.

> Updates the configuration of an existing assembly reference and returns the updated record.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Requests.UpdateAssemblyReferenceRequest":{"type":"object","properties":{"flowPromptObjectIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"assemblyReferenceType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.AssemblyReferenceType"},"multiDocumentListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.MultiDocumentListFormat"},"singleDocumentReferenceFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentReferenceFormat"},"singleDocumentAnswerListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentAnswerListFormat"},"playbookAssemblyReferenceIdentifier":{"type":"string","format":"uuid"},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"additionalProperties":false},"Jylo.Toolkit.Constants.AssemblyReferenceType":{"enum":["flowWide","document"],"type":"string"},"Jylo.Toolkit.Constants.MultiDocumentListFormat":{"enum":["paragraph","bulletList","numberedList","table"],"type":"string"},"Jylo.Toolkit.Constants.SingleDocumentReferenceFormat":{"enum":["quote","answer","documentName"],"type":"string"},"Jylo.Toolkit.Constants.SingleDocumentAnswerListFormat":{"enum":["bullet","numbered","text"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"stableObjectIdentifier":{"type":"string","format":"uuid"},"flowAssemblyObjectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.AssemblyReferenceType"},"multiDocumentListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.MultiDocumentListFormat"},"singleDocumentReferenceFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentReferenceFormat"},"singleDocumentAnswerListFormat":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.SingleDocumentAnswerListFormat"},"playbookAssemblyReferenceIdentifier":{"type":"string","format":"uuid"},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"templateColumns":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"},"nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse"},"nullable":true},"prompts":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferencePromptResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceConditions.Contracts.Responses.AssemblyReferenceConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"fuzzyMatch":{"type":"boolean"},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"allCategoriesMatch":{"type":"boolean"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"playbookPromptConditionIdentifier":{"type":"string","format":"uuid"},"targetPromptObjectIdentifier":{"type":"string","format":"uuid"},"categoryConditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.Projects.Services.Features.AssemblyReferenceCategoryConditions.Contracts.Responses.AssemblyReferenceCategoryConditionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceConditionObjectIdentifier":{"type":"string","format":"uuid"},"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferencePromptResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"flowGroupObjectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{objectIdentifier}":{"put":{"tags":["Assemblies"],"summary":"Update an assembly reference.","description":"Updates the configuration of an existing assembly reference and returns the updated record.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Requests.UpdateAssemblyReferenceRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Requests.UpdateAssemblyReferenceRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Requests.UpdateAssemblyReferenceRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferences.Contracts.Responses.AssemblyReferenceResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Delete an assembly reference.

> Removes an assembly reference from a flow assembly.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{objectIdentifier}":{"delete":{"tags":["Assemblies"],"summary":"Delete an assembly reference.","description":"Removes an assembly reference from a flow assembly.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## List template columns.

> Returns a paginated list of the template columns configured for an assembly reference.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PaginationList.AssemblyReferenceTemplateColumnResponse":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns":{"get":{"tags":["Assemblies"],"summary":"List template columns.","description":"Returns a paginated list of the template columns configured for an assembly reference.","parameters":[{"name":"referenceObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"page","in":"query","schema":{"type":"integer","format":"int32","default":1}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":20}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PaginationList.AssemblyReferenceTemplateColumnResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaginationList.AssemblyReferenceTemplateColumnResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaginationList.AssemblyReferenceTemplateColumnResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Create a template column.

> Creates a new template column for an assembly reference, defined by a name and a rich-text template.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Requests.CreateAssemblyReferenceTemplateColumnRequest":{"required":["name","template"],"type":"object","properties":{"name":{"type":"string","nullable":true},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns":{"post":{"tags":["Assemblies"],"summary":"Create a template column.","description":"Creates a new template column for an assembly reference, defined by a name and a rich-text template.","parameters":[{"name":"referenceObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Requests.CreateAssemblyReferenceTemplateColumnRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Requests.CreateAssemblyReferenceTemplateColumnRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Requests.CreateAssemblyReferenceTemplateColumnRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get a template column.

> Returns the details of a single template column identified by its GUID.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"assemblyReferenceObjectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"template":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/assemblies/{assemblyObjectIdentifier}/references/{referenceObjectIdentifier}/template-columns/{objectIdentifier}":{"get":{"tags":["Assemblies"],"summary":"Get a template column.","description":"Returns the details of a single template column identified by its GUID.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"assemblyObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"referenceObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.AssemblyReferenceTemplateColumns.Contracts.Responses.AssemblyReferenceTemplateColumnResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Update a template column.

> Updates the name and rich-text template of an existing template column.

```json
[...]
